#
# spec file for package python-odorik
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-odorik
Version:        0.5
Release:        3.1
Summary:        Python module for Odorik API
License:        GPL-3.0+
Group:          Development/Languages/Python
Url:            http://cihar.com/software/odorik/
Source:         https://pypi.python.org/packages/source/o/odorik/odorik-%{version}.tar.bz2
BuildRequires:  python-devel
BuildRequires:  python-httpretty
BuildRequires:  python-pytest
BuildRequires:  python-python-dateutil
BuildRequires:  python-sphinx
BuildRequires:  python-xdg
Requires:       python-python-dateutil
Requires:       python-xdg
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Python module to work with Odorik API.

%prep
%setup -q -n odorik-%{version}

%build
python setup.py build
make -C docs man

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
install -d %{buildroot}%{_mandir}/man1
install -m 644 docs/_build/man/odorik.1 %{buildroot}%{_mandir}/man1

%check
py.test odorik

%files
%defattr(-,root,root,-)
%doc NEWS.rst LICENSE README.rst
%{python_sitelib}/*
%{_mandir}/man1/*
%{_bindir}/*

%changelog
* Fri Feb 26 2016 tbechtold@suse.com
- Require python-python-dateutil. package was renamed
* Mon Jul 13 2015 mcihar@suse.cz
- Update to 0.5:
  * Documentation translated to Czech language.
  * More detailed summaries for calls and messages.
  * Added options for filtering calls by status and direction.
* Thu May 21 2015 mcihar@suse.cz
- Update to 0.4:
  * Adjustable date periods for commands.
  * Add support for listing calls.
  * Add support for listing SMS.
  * Add support for using names for phone numbers and lines.
  * Add summary command to print short overview.
* Mon May 18 2015 mcihar@suse.cz
- Update to 0.3:
  * Added support for listing lines information.
  * Added support for listing data usage for all lines on current account.
  * Documentation improvements.
  * Added html output to the program.
  * Added support for json and csv output.
  * Improved command line support for API calls.
  * Command line parameters can now override config file.
  * Added support for initiating callback.
- Update home page
* Fri May 15 2015 mcihar@suse.cz
- Initial packaging.
